Name:           perl-Starlink-AST
Version:        1.04
Release:        1%{?dist}
Summary:        Interface to the Starlink AST library
License:        OSI-Approved
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Starlink-AST/
Source0:        http://www.cpan.org/authors/id/T/TJ/TJENNESS/Starlink-AST-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Astro::FITS::CFITSIO)
BuildRequires:  perl(Astro::FITS::Header)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Number::Delta)
BuildRequires:  perl(Tk)
BuildRequires:  perl(Tk::Zinc)
BuildRequires:  perl(Pod::Perldoc)
Requires:       perl(Astro::FITS::CFITSIO)
Requires:       perl(Astro::FITS::Header)
Requires:       perl(Tk)
Requires:       perl(Tk::Zinc)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Starlink::AST provides a perl wrapper to the Starlink AST library. The
Starlink AST library provides facilities for transforming coordinates from
one system to another in an object oriented manner. Multiple coordinate
frames can be associated with a data set and it is also possible to
generate automatic mappings between frames.

%prep
%setup -q -n Starlink-AST-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

# % check
# ./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ast ChangeLog data exported_symbols.lis extsrc META.json README src COPYING Artistic
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Starlink*
%{_mandir}/man3/*

%changelog
* Fri Aug  8 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 1.04-1
- update to version 1.04

* Fri Jun 22 2012 J. Randall Owens <jrowens@ghiapet.net> 1.02-1
- Specfile autogenerated by cpanspec 1.78.
